Subject: [bug#39086] [PATCH 3/5] gnu: Add unicode-cldr-common.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 03 Feb 2020 17:06:46 +0100

Leo Prikler <[email-masked]> writes:

> Am Freitag, den 17.01.2020, 08:41 +0100 schrieb Ricardo Wurmus:
>> Leo Prikler <[email-masked]> writes:
>>
>> > Am Donnerstag, den 16.01.2020, 22:08 +0100 schrieb Ricardo Wurmus:
>> > > Leo Prikler <[email-masked]> writes:
>> > >
>> > > > * gnu/packages/ibus (unicode-cldr-commmon): New package.
>> > >
>> > > This should be:
>> > >
>> > >     * gnu/packages/ibus.scm (unicode-cldr-commmon): New variable.
>> > >
>> > > You know, I wonder if these things really belong to ibus.scm.  I
>> > > remember a TODO somewhere in the code that bemoaned the lack of
>> > > versioned Unicode data files.  Perhaps we should just add a new
>> > > module
>> > > (gnu packages unicode) — what do you think?
>> > I don't mind either way, but these packages don't fix the
>> > TODO.  They
>> > add yet unseen features.
>>
>> That’s okay.  I just think we should start that new unicode.scm
>> module
>> to finally have a place for these data files.  That would be a more
>> appropriate place than ibus.scm.
> I agree.  Incidentally, I just coded up a ucd package to use with ibus
> or other packages that need the database.  I copied some of the recipe
> from the gentoo ebuild, specifically the idea to use the zipped
> sources.

Thanks, I just pushed those two patches to the master branch (commit
a9e5e6497a).

--
Ricardo